## com.lowagie.text.pdf
Class BarcodeDatamatrix.Placement

    java.lang.Object
      com.lowagie.text.pdf.BarcodeDatamatrix.Placement

Enclosing class:
  BarcodeDatamatrix

    static class BarcodeDatamatrix.Placement

extends java.lang.Object

Field Summary
`private short[]` `array`
`private static java.util.Hashtable` `cache`
`private int` `ncol`
`private int` `nrow`

Constructor Summary
`private` `BarcodeDatamatrix.Placement()`

Method Summary
`private void` `corner1(int chr)`
`private void` `corner2(int chr)`
`private void` `corner3(int chr)`
`private void` `corner4(int chr)`
`(package private) static short[]` `doPlacement(int nrow, int ncol)`
`private void` `ecc200()`
`private void` `module(int row, int col, int chr, int bit)`
`private void` `utah(int row, int col, int chr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nrow

    private int nrow

### ncol

    private int ncol

### array

    private short[] array

### cache

    private static final java.util.Hashtable cache

Constructor Detail

### BarcodeDatamatrix.Placement

    private BarcodeDatamatrix.Placement()

Method Detail

### doPlacement

    static short[] doPlacement(int nrow,
                               int ncol)

### module

    private void module(int row,
                        int col,
                        int chr,
                        int bit)

### utah

    private void utah(int row,
                      int col,
                      int chr)

### corner1

    private void corner1(int chr)

### corner2

    private void corner2(int chr)

### corner3

    private void corner3(int chr)

### corner4

    private void corner4(int chr)

### ecc200

    private void ecc200()

Hosted by Hostbasket